#' buildBlock
#'
#' compute blocks of consecutive data for blockwise CV or sampling
#'
#' @param Nblock number of blocks
#' @param data0 the learning set
#' @examples
#' @author Yannig Goude <yannig.goude@edf.fr>
#' @export



buildBlock <- function(Nblock, data0)
{
  borne_block<-seq(1, nrow(data0), length=Nblock+1)%>%floor
  block_list<-list()
  l<-length(borne_block)
  for(i in c(2:(l-1)))
  {
    block_list[[i-1]] <- c(borne_block[i-1]:(borne_block[i]-1))
  }
  block_list[[l-1]]<-c(borne_block[l-1]:(borne_block[l]))

  return(block_list)
}

