% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/boosting_diversity6.R
\name{boosting_diversity}
\alias{boosting_diversity}
\title{diversity boosting algorithm}
\usage{
boosting_diversity(target, cov, data0, data1, sample_size = 0.5,
  grad_step = 1, diversity_weight = 1, Nstep = 10, model = "gam",
  sampling = "random", Nblock = 10, aggregation_type = "uniform",
  param = list(), theorical_dw = F, model_list = NULL,
  w_list = NULL, param_list = NULL, cov_list = NULL)
}
\arguments{
\item{target}{the observations to be predicted}

\item{cov}{the model equation, a character string provided in the formula syntax. For example, for a linear model including
covaritates $X_1$ and $X_2$ it will be "X1+X2" and for a GAM with smooth effects it will be "s(X1)+s(X2)"}

\item{data0}{the learning set}

\item{data1}{the test set}

\item{sample_size}{the size of the boostrap sample as a proportion of the learning set size. sample_size=0.5
means that the resamples are of size n/2 where n is the number of rows of data0.}

\item{diversity_weight}{the weight of the diversity encouraging penalty (kappa in the paper)}

\item{Nstep}{the number of iterations of the diversity boosting algorithm ($N$ in the paper)}

\item{model}{the type of base learner used in the algorithm if using a sib-ngle base learner (model_list=NULL). Currently it could be either
"gam" for an additive model, "rf" for a random forest, ""gbm" for gradient boosting machines, "rpart" for single CART trees.}

\item{sampling}{the type of sampling procedure used in the resampling step. Could be either "random" for uniform random sampling with
replacement or "blocks" for uniform sampling with replacement of blocks of consecutive data points. Default is "random".}

\item{Nblock}{number of blocks for the block sampling. Equal to 10 by default.}

\item{aggregation_type}{type of aggregation used for the ensemble method, default is uniform weights but it could be also "MLpol" an aggregation algorithm
from the opera package}

\item{param}{a list containing the parameters of the model chosen. It could be e.g. the numbner of trees for "rf", the depth of the tree for "rpart"...}

\item{theorical_dw}{set to TRUE if one want to use the theoretical upper bound of the diversity weight kappa}

\item{model_list}{a list of model among the possible ones (see the description of model argument). In that case the week learner is sample at each step in the list.
"Still "experimental", be careful.}

\item{w_list}{the prior weights of each model in the model_list}

\item{param_list}{list of paramters of each model in the model_list}

\item{cov_list}{list of covariates of each model in the model_list}
}
\value{
a list including the boosted models, the ensemble forecast
}
\description{
compute the Root Mean Square Error of a prediction vector
}
\author{
Yannig Goude <yannig.goude@edf.fr>
}
